Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Parse_Node Class Reference

Provide the base of the object hierarchy that defines the parse tree of Service Nodes. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Parse_Node

[legend]
Collaboration diagram for ACE_Parse_Node:

[legend]
List of all members.

## Public Methods
| ACE_Parse_Node (void)
ACE_EXPLICIT | ACE_Parse_Node (const ACE_TCHAR *name)
virtual | ~ACE_Parse_Node (void)
ACE_Parse_Node* | link (void) const
void | link (ACE_Parse_Node *)
virtual void | apply (void) = 0
const ACE_TCHAR* | name (void) const
void | print (void) const
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
const ACE_TCHAR* | name_
ACE_Parse_Node* | next_

## Detailed Description

Provide the base of the object hierarchy that defines the parse tree of Service Nodes.

## Constructor & Destructor Documentation

ACE_Parse_Node::ACE_Parse_Node ( | void )

ACE_Parse_Node::ACE_Parse_Node ( | const ACE_TCHAR * nm )

ACE_Parse_Node::~ACE_Parse_Node ( | void )`[virtual]`

## Member Function Documentation

virtual void ACE_Parse_Node::apply ( | void )`[pure virtual]`

| Reimplemented in ACE_Suspend_Node, ACE_Resume_Node, ACE_Remove_Node, ACE_Static_Node, ACE_Dynamic_Node, ACE_Stream_Node, and ACE_Dummy_Node.

void ACE_Parse_Node::dump ( | void ) const

| Dump the state of an object. Reimplemented in ACE_Suspend_Node, ACE_Resume_Node, ACE_Remove_Node, ACE_Static_Node, ACE_Dynamic_Node, ACE_Stream_Node, and ACE_Dummy_Node.

void ACE_Parse_Node::link ( | ACE_Parse_Node * n )

ACE_Parse_Node * ACE_Parse_Node::link ( | void ) const

const ACE_TCHAR * ACE_Parse_Node::name ( | void ) const

void ACE_Parse_Node::print ( | void ) const

## Member Data Documentation

ACE_Parse_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Suspend_Node, ACE_Resume_Node, ACE_Remove_Node, ACE_Static_Node, ACE_Dynamic_Node, ACE_Stream_Node, and ACE_Dummy_Node.

const ACE_TCHAR * ACE_Parse_Node::name_`[private]`

ACE_Parse_Node * ACE_Parse_Node::next_`[private]`

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp